wreport::tests::SimpleTestController Struct Reference

Simple default implementation of TestController. More...

`#include <testrunner.h>`

Inheritance diagram for wreport::tests::SimpleTestController:

## Public Member Functions

| SimpleTestController (wreport::term::Terminal &output)
bool | test_case_begin (const TestCase &test_case, const TestCaseResult &test_case_result) override
| Called before running a test case.
void | test_case_end (const TestCase &test_case, const TestCaseResult &test_case_result) override
| Called after running a test case.
bool | test_method_begin (const TestMethod &test_method, const TestMethodResult &test_method_result) override
| Called before running a test method.
void | test_method_end (const TestMethod &test_method, const TestMethodResult &test_method_result) override
| Called after running a test method.
Public Member Functions inherited from wreport::tests::FilteringTestController
bool | test_method_should_run (const std::string &fullname) const

## Data Fields

wreport::term::Terminal & | output
Data Fields inherited from wreport::tests::FilteringTestController
std::string | allowlist
| Any method not matching this glob expression will not be run.
std::string | blocklist
| Any method matching this glob expression will not be run.

## Detailed Description

Simple default implementation of TestController.

It does progress printing to stdout and basic glob-based test method filtering.

## Member Function Documentation

## test_case_begin()

bool wreport::tests::SimpleTestController::test_case_begin | ( | const TestCase & | test_case,
|  | const TestCaseResult & | test_case_result )

override virtual

Called before running a test case.

Returns
  true if the test case should be run, false if it should be skipped

Reimplemented from wreport::tests::TestController.

## test_case_end()

void wreport::tests::SimpleTestController::test_case_end | ( | const TestCase & | test_case,
|  | const TestCaseResult & | test_case_result )

override virtual

Called after running a test case.

Reimplemented from wreport::tests::TestController.

## test_method_begin()

bool wreport::tests::SimpleTestController::test_method_begin | ( | const TestMethod & | test_method,
|  | const TestMethodResult & | test_method_result )

override virtual

Called before running a test method.

Returns
  true if the test method should be run, false if it should be skipped

Reimplemented from wreport::tests::TestController.

## test_method_end()

void wreport::tests::SimpleTestController::test_method_end | ( | const TestMethod & | test_method,
|  | const TestMethodResult & | test_method_result )

override virtual

Called after running a test method.

Reimplemented from wreport::tests::TestController.

The documentation for this struct was generated from the following file:

- testrunner.h